package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.PlayerItem;
import com.goldenwater.slgc.mapper.PlayerItemMapper;
import com.goldenwater.slgc.service.PlayerItemService;

/** 播放器项目 业务实现 */
@Service
public class PlayerItemServiceImpl implements PlayerItemService {
    @Autowired
    private PlayerItemMapper playerItemMapper;

    @Override
    public List<PlayerItem> selectPlayerItemList(PlayerItem playerItem) {
        return playerItemMapper.selectPlayerItemList(playerItem);
    }

    @Override
    public PlayerItem selectPlayerItemById(String id) {
        return playerItemMapper.selectPlayerItemById(id);
    }

    @Override
    public int deletePlayerItemByIds(String[] ids) {
        return playerItemMapper.deletePlayerItemByIds(ids);
    }

    @Override
    public int insertPlayerItem(PlayerItem playerItem) {
        return playerItemMapper.insertPlayerItem(playerItem);
    }

    @Override
    public int updatePlayerItem(PlayerItem playerItem) {
        return playerItemMapper.updatePlayerItem(playerItem);
    }

    @Override
    public List<PlayerItem> selectAll() {
        return playerItemMapper.selectAll();
    }

    @Override
    public int deleteByPlyId(String plyId) {
        return playerItemMapper.deleteByPlyId(plyId);
    }
}
